#------------------------------------------------------------------
# Contact: Shawn Patton
# Created: Jan 2009
#
# Purpose: The class that animates
#------------------------------------------------------------------

import os
from core import util
#import basic pygame modules
import pygame
from pygame.locals import *

# Daisy Chain imports

class Animator:
	def __init__(self, sprite, fileName, numberOfFrames=1, fps=12):
		self.sprite = sprite
		self.numberOfFrames = numberOfFrames
		self.fps = fps
		self.images = []
		for i in range(numberOfFrames):
			self.images.append(util.load_image('assets/textures/' + fileName%i ).convert_alpha())
		self.reset()

	def reset(self):
		self.time = 0

	def animate(self, dt, callback=None, callbackArgs=None):
		self.time += dt
		self.currentFrame = int(self.time*self.fps)%self.numberOfFrames
		self.sprite.image = self.images[self.currentFrame]
		if self.currentFrame == self.numberOfFrames-1:
			if callback is not None:
				callback(*callbackArgs)
				
			
		
		
	