#-------------------------------------------------------------------------------
# Contact: Dave Culyba
# Created: Jan 2009
#
# Purpose: Keep track of key input
#-------------------------------------------------------------------------------

from pygame.locals import *

class KeyData:
	def __init__(self, keyValue):
		self.keyValue = keyValue
		self.wasDown = False
		self.isDown = False
		
	def setIsDown(self, isDown):
		self.wasDown = self.isDown
		self.isDown = isDown
		
class InputManager:
	def __init__(self):
		self.JUMP_KEY = KeyData(K_UP)
		self.PICK_KEY = KeyData(K_SPACE)
		self.PULL_KEY = KeyData(K_SPACE)
		self.LEFT_KEY = KeyData(K_LEFT)
		self.RIGHT_KEY = KeyData(K_RIGHT)
		
		self.uniqueKeys = (self.JUMP_KEY, self.PULL_KEY, self.LEFT_KEY, self.RIGHT_KEY)
		self.allKeys = (self.JUMP_KEY, self.PICK_KEY, self.PULL_KEY, self.LEFT_KEY, self.RIGHT_KEY)
		
	def setKeyState(self, keyValue, isDown):
		for key in self.allKeys:
			if (key.keyValue == keyValue):
				key.setIsDown(isDown)
		