#------------------------------------------------------------------
# Contact: Shawn Patton
# Created: Jan 2009
#
# Purpose: The score that displays
#
#------------------------------------------------------------------
import pygame
from pygame.locals import *

class NameTag:
	def __init__(self, player, name):
		self.player = player
		self.name = name
		self.nameColor = (0, 0, 0)
		self.textHeight = 15
		self.nameText = pygame.font.Font( "freesansbold.ttf", self.textHeight ).render( self.name, True, self.nameColor )
		self.nameText.convert()
		self.namePos = (0, -10)

	def render( self, surface ):
		centerXOfPlayer = self.player.rect.centerx
		topOfPlayer = self.player.rect.top
		screenPos = (self.namePos[0] + centerXOfPlayer - self.nameText.get_width()/2, self.namePos[1] + topOfPlayer)
		
		surface.blit( self.nameText, screenPos )
