#------------------------------------------------------------------
# Contact: Jason Pratt
# Created: Jan 2009
#
# Purpose: Narrator
#------------------------------------------------------------------
import pygame
import os
from pygame.locals import *

class Narrator:
	def __init__( self, daisyChain ):
		self.daisyChain = daisyChain
		self.initAudio();
		self.lastTime = -1

		self.narrationTimeline = [(5*1000, "jasonNarration1"),
		                          (35*1000, "jasonNarration2"),
		                          (60*1000, "jasonNarration3"),]

		self.narrationTimeline = [(1*1000, "shawnNarration1"),
		                          (11*1000, "shawnNarration2"),
		                          (18*1000, "shawnNarration3"),
		                          (22*1000, "shawnNarration4"),
		                          (31*1000, "shawnNarration5"),
		                          (45*1000, "shawnNarration6"),
		                          (50*1000, "shawnNarration7"),
		                          (57*1000, "shawnNarration8"),
		                          (70*1000, "shawnNarration9"),
		                         ]
		self.narrationTimeline = [] # No Narrator
								  
	def initAudio( self ):
		self.namesToSounds = {"jasonNarration1" : pygame.mixer.Sound( os.path.join( "assets", "audio", "narration", "jasonNarration1.wav" ) ),
		                      "jasonNarration2" : pygame.mixer.Sound( os.path.join( "assets", "audio", "narration", "jasonNarration2.wav" ) ),
		                      "jasonNarration3" : pygame.mixer.Sound( os.path.join( "assets", "audio", "narration", "jasonNarration3.wav" ) ),
		                      "shawnNarration1" : pygame.mixer.Sound( os.path.join( "assets", "audio", "narration", "01_explore.wav" ) ),
		                      "shawnNarration2" : pygame.mixer.Sound( os.path.join( "assets", "audio", "narration", "02_pick.wav" ) ),
		                      "shawnNarration3" : pygame.mixer.Sound( os.path.join( "assets", "audio", "narration", "03_falala.wav" ) ),
		                      "shawnNarration4" : pygame.mixer.Sound( os.path.join( "assets", "audio", "narration", "04_flowersdie.wav" ) ),
		                      "shawnNarration5" : pygame.mixer.Sound( os.path.join( "assets", "audio", "narration", "05_flowerspicked.wav" ) ),
		                      "shawnNarration6" : pygame.mixer.Sound( os.path.join( "assets", "audio", "narration", "06_pullingroots.wav" ) ),
		                      "shawnNarration7" : pygame.mixer.Sound( os.path.join( "assets", "audio", "narration", "07_pulltoo.wav" ) ),
		                      "shawnNarration8" : pygame.mixer.Sound( os.path.join( "assets", "audio", "narration", "08_figureabove.wav" ) ),
		                      "shawnNarration9" : pygame.mixer.Sound( os.path.join( "assets", "audio", "narration", "09_thus.wav" ) ),}

	def play( self, name ):
		print "play( %s )" % name
		self.namesToSounds[name].play()
			
	def update( self ):
		for millis, name in self.narrationTimeline:
			if self.lastTime < millis <= self.daisyChain.currentGameTime:
				self.play( name )
		self.lastTime = self.daisyChain.currentGameTime


