#------------------------------------------------------------------
# Contact: Jason Pratt
# Created: Jan 2009
#
# Purpose: Narrator
#------------------------------------------------------------------
import pygame
import os
from pygame.locals import *
from core import util

class Tutorial(pygame.sprite.Sprite):
	def __init__( self, daisyChain ):
		pygame.sprite.Sprite.__init__(self)
		self.daisyChain = daisyChain
		self.initVisuals();
		self.lastTime = -1
		self.currentPosition = (0,0)
		self.tutorialTimeline = [(0.000167*self.daisyChain.gameLength, "move"),
		                         (0.05*self.daisyChain.gameLength, "blank"),		
		                         (0.083*self.daisyChain.gameLength, "pick"),
		                         (0.167*self.daisyChain.gameLength, "blank"),
		                         (0.2*self.daisyChain.gameLength, "jump"),
		                         (0.28*self.daisyChain.gameLength, "blank"),
		                         (0.35*self.daisyChain.gameLength, "pull"),
		                         (0.45*self.daisyChain.gameLength, "blank"),]


	def initVisuals( self ):
		self.namesToImages = {"blank": ( util.load_image('assets/textures/help/blank.png').convert_alpha(), (200, 200) ),
		                      "move" : ( util.load_image('assets/textures/help/move.png').convert_alpha(), (100, 190) ),
		                      "pick" : ( util.load_image('assets/textures/help/pressspace.png').convert_alpha(), (420, 200) ),
		                      "jump" : ( util.load_image('assets/textures/help/jump.png').convert_alpha(), (270, 130) ),
		                      "pull" : ( util.load_image('assets/textures/help/pull.png').convert_alpha(), (200, 5) ),}
		self.image = self.namesToImages["blank"][0]

	def show( self, name ):
		self.image = self.namesToImages[name][0]
		self.currentPosition = self.namesToImages[name][1]
			
	def update( self ):
		for millis, name in self.tutorialTimeline:
			if self.lastTime < millis <= self.daisyChain.currentGameTime:
				self.show( name )
		self.lastTime = self.daisyChain.currentGameTime
	
	def draw(self, screen):
		screen.blit(self.image, self.currentPosition)


