#------------------------------------------------------------------
# Contact: Jason Pratt
# Created: Jan 2009
#------------------------------------------------------------------

import os

import pygame

import util

class WelcomeScreen:
	def __init__( self ):
		self.background = util.load_image( os.path.abspath( os.path.join( "assets", "textures", "title.png" ) ) )
		self.nameColor = (255, 255, 255)
		self.inputColor = (255, 200, 0)
		self.textHeight = 55
		self.nameText = pygame.font.Font( "freesansbold.ttf", self.textHeight ).render( "Enter Name:", True, self.nameColor )
		self.nameText.convert()
		self.namePos = (20, 395)
		self.enteredNameVertOffset = 75
		self.inputFont = pygame.font.Font( "freesansbold.ttf", self.textHeight )
		self.name = ""
		self.maxNameLength = 10
		self.cursorWidth = 5

	def handleKeyEvent( self, event ):
		if (event.key == pygame.K_BACKSPACE) and (len( self.name ) > 0):
			self.name = self.name[:-1]
		elif (event.key >= ord( "a" )) and (event.key <= ord( "z" )) and (len( self.name ) <= self.maxNameLength):
			letter = chr( event.key )
			if (pygame.key.get_mods() & pygame.KMOD_SHIFT) > 0:
				letter = letter.upper()
			self.name += letter

	def render( self, surface ):
		surface.blit( self.background, (0, 0) )
		surface.fill( (0, 0, 0), pygame.Rect( self.namePos[0] - 10,
		                                      self.namePos[1] - 10,
		                                      surface.get_width() - 2*(self.namePos[0] - 10),
		                                      self.nameText.get_height() + 10*2 ) )
		surface.blit( self.nameText, self.namePos )
		inputText = self.inputFont.render( self.name, True, self.inputColor )
		surface.blit( inputText, (self.namePos[0] + 10, self.namePos[1] + self.enteredNameVertOffset) )
		surface.fill( (255, 255, 255), pygame.Rect( self.namePos[0] + inputText.get_width() + 10,
		                                            self.namePos[1] + self.enteredNameVertOffset,
		                                            self.cursorWidth,
		                                            self.textHeight - 30 ) )





