#------------------------------------------------------------------
# Contact: Shawn Patton
# Created: Jan 2009
#
# Purpose: Helpful pygame utility functions from the demos
#
#------------------------------------------------------------------


import os.path

#import basic pygame modules
import pygame
from pygame.locals import *

def get_alphaed( surf, alpha=128):
	"""returns a copy of a surface object with user-defined alpha-value (0-255)"""
	tmp = pygame.Surface( surf.get_size(), pygame.SRCALPHA, 32)
	tmp.fill( (alpha,alpha,alpha,alpha) )
	tmp.blit(surf, (0,0), surf.get_rect(), pygame.BLEND_RGBA_MULT)
	return tmp
 

def load_image(file):
	"loads an image, prepares it for play"
	#file = os.path.join('data', file)
	try:
		surface = pygame.image.load(file)
		return surface.convert()
	except pygame.error:
		raise SystemExit, 'Could not load image "%s" %s'%(file, pygame.get_error())

def load_images(*files):
	imgs = []
	for file in files:
		imgs.append(load_image(file))
	return imgs


class dummysound:
	def play(self): pass

def load_sound(file):
	if not pygame.mixer: return dummysound()
	file = os.path.join('data', file)
	try:
		sound = pygame.mixer.Sound(file)
		return sound
	except pygame.error:
		print 'Warning, unable to load,', file
	return dummysound()

def interpolate( a, b, percent ):
	return a + (b - a)*percent

#
#class Explosion(pygame.sprite.Sprite):
#	defaultlife = 12
#	animcycle = 3
#	images = []
#	def __init__(self, actor):
#		pygame.sprite.Sprite.__init__(self, self.containers)
#		self.image = self.images[0]
#		self.rect = self.image.get_rect(center=actor.rect.center)
#		self.life = self.defaultlife
#
#	def update(self):
#		self.life = self.life - 1
#		self.image = self.images[self.life/self.animcycle%2]
#		if self.life <= 0: self.kill()
#
#
#class Bomb(pygame.sprite.Sprite):
#	speed = 9
#	images = []
#	def __init__(self, alien):
#		pygame.sprite.Sprite.__init__(self, self.containers)
#		self.image = self.images[0]
#		self.rect = self.image.get_rect(midbottom=
#					alien.rect.move(0,5).midbottom)
#
#	def update(self):
#		self.rect.move_ip(0, self.speed)
#		if self.rect.bottom >= 470:
#			Explosion(self)
#			self.kill()




