#------------------------------------------------------------------
# Contact: Jason Pratt
# Created: Jan 2009
#------------------------------------------------------------------

import httplib
import json
import traceback

import util

class HandsomeClient:
	def getGameData( self ):
		print "getGameData"
		connection = httplib.HTTPConnection( util.serverName, util.serverPort, timeout=2.0 )
		connection.request( "GET", "/?netVersion=%d&messageType=getGameData" % util.netVersion )
		print "request made"
		response = connection.getresponse()
		print "got response"
		print response.status, response.reason
		dataString = response.read()
		print "dataString:", dataString
		try:
			data = json.loads( dataString.strip() )
			print "data:", data
		except:
			traceback.print_exc()
			raise util.BadDataStringError( dataString )

		self.errorCheck( data )

		if "responseType" in data:
			if data["responseType"] == "getGameData":
				return data["gameData"]
			else:
				raise util.BadResponseError( "Incorrect responseType; expected getGameData, got %s" % data["responseType"] )
		else:
			raise util.BadResponseError( "No responseType in data: %s" % str( data ) )

		connection.close()

	def postGameData( self, gameData ):
		print "postGameData"
		gameDataString = json.dumps( gameData ) + "\n"
		print "dataString:", gameDataString

		connection = httplib.HTTPConnection( util.serverName, util.serverPort, timeout=2.0 )
		connection.request( "POST", "/?netVersion=%d&messageType=postGameData" % util.netVersion, gameDataString )
		print "request sent"
		response = connection.getresponse()
		print "response received"
		print response.status, response.reason
		responseString = response.read()
		print "responseString:", responseString
		try:
			responseData = json.loads( responseString )
			print "responseData:", responseData
		except:
			raise util.BadDataStringError( responseString )

		self.errorCheck( responseData )

		if "responseType" in responseData:
			if responseData["responseType"] != "success":
				raise util.BadResponseError( "Incorrect responseType; expected success, got %s" % data["responseType"] )
		else:
			raise util.BadResponseError( "No responseType in responseData: %s" % str( data ) )

		connection.close()

	def errorCheck( self, data ):
		if data["responseType"] == "Error":
			raise util.ServerError( data["errorMessage"] )





