#------------------------------------------------------------------
# Contact: Jason Pratt
# Created: Jan 2009
#------------------------------------------------------------------

import json

serverName = "jasonpratt.org"
serverPort = 8080
netVersion = 1
maxDataStringSize = 2**20

class BadVersionError( Exception ):
	def __init__( self, expectedVersion, actualVersion ):
		self.expectedVersion = expectedVersion
		self.actualVersion = actualVersion
		
	def __str__( self ):
		return "Bad version; expected: %d, got: %d" % (self.expectedVersion, self.actualVersion)

class BadDataStringError( Exception ):
	def __init__( self, dataString ):
		self.dataString = dataString
		
	def __str__( self ):
		return "Bad data string received:\n%s" % self.dataString

class BadResponseError( Exception ):
	def __init__( self, errorMessage ):
		self.errorMessage = errorMessage

	def __str__( self ):
		return "Bad response received:\n%s" % self.errorMessage

class ServerError( Exception ):
	def __init__( self, errorMessage ):
		self.errorMessage = errorMessage
		
	def __str__( self ):
		return "Server returned an error: %s" % self.errorMessage
